import React from 'react';
import '../../node_modules/antd/lib/style/index.css.js';
import '../../_virtual/index.css_commonjs-proxy';
import '../../node_modules/antd/lib/modal/style/index.css.js';
import '../../_virtual/index24.css_commonjs-proxy';
import _Modal from 'antd/lib/modal';
import FormList from './formList.js';

var openFormList = function openFormList(data, _onSelect) {
  var modal = _Modal.info({
    icon: null,
    content: React.createElement(FormList, {
      onSelect: function onSelect(args) {
        _onSelect(args);

        modal.destroy();
      },
      data: data
    }),
    width: 600,
    onOk: function onOk() {
      return modal.destroy();
    }
  });
};

export default openFormList;
