import React, { useMemo } from 'react';
import '../../node_modules/antd/lib/style/index.css.js';
import '../../_virtual/index.css_commonjs-proxy';
import '../../node_modules/antd/lib/button/style/index.css.js';
import '../../_virtual/index6.css_commonjs-proxy';
import _Button from 'antd/lib/button';
import '../../node_modules/antd/lib/list/style/index.css.js';
import '../../_virtual/index22.css_commonjs-proxy';
import _List from 'antd/lib/list';

var FormList = function FormList(_ref) {
  var data = _ref.data,
      onSelect = _ref.onSelect;
  var items = useMemo(function () {
    return data.map(function (d) {
      return React.createElement(_List.Item, {
        key: d.id,
        onClick: function onClick() {
          return onSelect(d);
        }
      }, d.name);
    });
  }, [data]);
  return React.createElement("div", null, React.createElement("div", {
    style: {
      position: 'relative',
      right: 0
    }
  }, React.createElement(_Button, {
    onClick: function onClick() {
      return onSelect(null);
    },
    type: "primary",
    icon: "plus"
  })), React.createElement(_List, {
    bordered: true
  }, items));
};

export default FormList;
